Bug 431893 - Installer fails to find
Installer fails to find
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-02-07 12:58 EST by joseph robert martinez
Modified: 2008-02-20 18:30 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-02-20 18:30:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description joseph robert martinez 2008-02-07 12:58:14 EST
From Bugzilla Helper:
User-Agent: Opera/9.25 (Windows NT 5.0; U; en)

Description of problem:
I am trying to install Fedora 8 thru http.  I use TinyWeb as my webserver 
(local only for installing) as I have no DVD burner not any idea on how to make 
CD from the iso. As soon as I enter the root password, it gives me the error 
that it can not find the repository metadata. 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Install from the http

Actual Results:

Expected Results:

Additional info:
Comment 1 Jon Stanley 2008-02-13 23:30:11 EST
There should be entries in the error log on the webserver stating which files
are not found.  It is likely looking for repodata/primary.sqlite.bz2 at the URL
that you gave it/
Comment 2 joseph robert martinez 2008-02-14 08:45:14 EST
Do you want me to post the log(s)?  Unfortunately there is nothing in the error 
log that is with my webserver ,Tinyweb (http://www.ritlabs.com/tinyweb/) and 
Tinybox, GUI for Tinyweb.

The last lines to the 'access' log:
192.*.*.75 - - [07/Feb/2008:12:06:00 -0600] "GET /./RELEASE-NOTES.en_US 
HTTP/1.1" 403 -
192.*.*.75 - - [07/Feb/2008:12:06:00 -0600] "GET /./RELEASE-NOTES-en.html 
HTTP/1.1" 403 -
192.*.*.75 - - [07/Feb/2008:12:06:00 -0600] "GET /./RELEASE-NOTES.en HTTP/1.1" 
403 -
192.*.*.75 - - [07/Feb/2008:12:06:00 -0600] "GET /./RELEASE-NOTES-C.html 
HTTP/1.1" 403 -
192.*.*.75 - - [07/Feb/2008:12:06:00 -0600] "GET /./RELEASE-NOTES.C HTTP/1.1" 
403 -
192.*.*.75 - - [07/Feb/2008:12:18:34 -0600] "GET /./repodata/repomd.xml 
HTTP/1.1" 403 -

The 'Agent' log:

The 'Referer' log:
http://192.*.*.10/ -> /readme.html
http://192.*.*.10/readme.html -> /favicon.ico
http://192.*.*.10/ -> /readme.html
http://192.*.*.10/readme.html -> /favicon.ico
http://192.*.*.10/ -> /favicon.ico
Comment 3 Jeremy Katz 2008-02-20 18:30:26 EST
It looks like your web server doesn't have access to the files as it is
returning a 403 (Forbidden).  Make sure that the user your web server is running
as has access to the installation files.

Note You need to log in before you can comment on or make changes to this bug.